protolabs42

Create a fill

Assign an identity to a role.

POST
/fills

Assign an identity to a role.

Authorization

bearerAuth
AuthorizationBearer <token>

API key obtained via invite redemption or SIWE login

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://chorus.runclaw.run/fills" \  -H "Content-Type: application/json" \  -d '{    "identity": "string",    "role": "string"  }'
{
  "data": {
    "id": "string",
    "identity": "string",
    "role": "string",
    "started_at": "string",
    "ended_at": "string"
  },
  "meta": {
    "request_id": "string"
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "request_id": "string"
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "request_id": "string"
  }
}